using System;
using System.Collections.Generic;
using System.Text;
using System.Data;
using System.Data.SqlClient;
using CG67.FicheCollege.Domaine;
using CG67.FicheCollege.Interface;


namespace CG67.FicheCollege.Entrepot
{
    public class EntrepotSoutienScolaireEnLigne : EntrepotBase, IEntrepotSoutienScolaireEnLigne
    {
        public SoutienScolaireEnLigne GetByRNEAndAnnee(string codeRNE, int annee)
        {
             SoutienScolaireEnLigne resultat = null;

            using (SqlConnection connexion = new SqlConnection(this.ChaineDeConnexion))
            {
                try
                {
                    connexion.Open();
                    using (SqlCommand command = connexion.CreateCommand())
                    {
                        command.CommandText = "SELECT * FROM SoutienScolaireEnLigne WHERE CodeRNE = @RNE AND Annee = @Annee";
                        command.Parameters.AddWithValue("@RNE", codeRNE);
                        command.Parameters.AddWithValue("@Annee", annee);
                        using (SqlDataReader dr = command.ExecuteReader())
                        {
                            if (dr.Read())

                            {
                               resultat = new SoutienScolaireEnLigne(Convert.ToInt16(dr["Annee"].ToString()),dr["CodeRNE"].ToString(),Convert.ToInt16(dr["NbClasses"].ToString()), Convert.ToInt16(dr["NbEleves"].ToString()));
                                
                            }
                        }
                    }
                }
                catch (Exception erreurInterne)
                {
                    throw new Exception(" " + erreurInterne);
                }
                finally
                {
                    if (connexion.State == ConnectionState.Open)
                        connexion.Close();
                }
                return resultat ;
            }
        }
    }
    }

